Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693743 - [RFE] Vertical menu fixes and other enhancements for v2v UI
Summary: [RFE] Vertical menu fixes and other enhancements for v2v UI
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.3
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On: 1666359
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 14:55 UTC by Satoe Imaishi
Modified: 2019-04-10 18:18 UTC (History)
5 users (show)

Fixed In Version: 5.10.3.1
Doc Type: Enhancement
Doc Text:
Clone Of: 1666359
Environment:
Last Closed:
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Satoe Imaishi 2019-03-29 17:02:37 UTC
The main PR for this BZ is https://github.com/ManageIQ/manageiq-v2v/pull/822. But the PR depends on:

https://github.com/ManageIQ/manageiq-ui-classic/pull/5063
https://github.com/ManageIQ/manageiq-ui-classic/pull/4999

Also, there is a comment in PR 822 (https://github.com/ManageIQ/manageiq-v2v/pull/822#issuecomment-447976694) that https://github.com/ManageIQ/manageiq-v2v/pull/839 needs to be merged together.

So the PRs needed for this BZ are:

https://github.com/ManageIQ/manageiq-v2v/pull/822 (hammer/yes)
https://github.com/ManageIQ/manageiq-v2v/pull/839 (hammer/yes)
https://github.com/ManageIQ/manageiq-ui-classic/pull/5063 (no hammer label)
https://github.com/ManageIQ/manageiq-ui-classic/pull/4999 (hammer/no)

Please clarify if classic-ui PRs can be hammer/yes, or if separate PR is needed for hammer branch.

Comment 4 Mike Turley 2019-04-01 20:01:43 UTC
Milan, can you determine if those manageiq-ui-classic PRs are safe to backport to hammer?

Comment 5 Milan Zázrivec 2019-04-02 06:56:37 UTC
Yes, those two ui-classic PRs should be safe to backport.

Should the cherry-picks fail, I'll create separate PRs just for hammer.

Comment 6 CFME Bot 2019-04-04 22:22:23 UTC
New commits detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/8d7c5f9d1f732d4e2d9fb50b9ec57d32685da25e
commit 8d7c5f9d1f732d4e2d9fb50b9ec57d32685da25e
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Fri Dec  7 10:58:22 2018 -0500
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Fri Dec  7 10:58:22 2018 -0500

    Merge pull request #5063 from mzazrivec/add_menu_item_ids_to_vertical_menu

    Add IDs to vertical menu leaf items

    (cherry picked from commit 9cb9227bc7744fb071b765089d2db2e9491bf59f)

    https://bugzilla.redhat.com/show_bug.cgi?id=1693743

 app/views/layouts/_vertical_navbar.html.haml | 6 +-
 1 file changed, 3 insertions(+), 3 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/20a4d4a9b47081446b8a2626831ffc4376fce061
commit 20a4d4a9b47081446b8a2626831ffc4376fce061
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Fri Dec 14 10:05:57 2018 -0500
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Fri Dec 14 10:05:57 2018 -0500

    Merge pull request #4999 from mzazrivec/add_menu_update_mixin

    Add MenuUpdateMixin

    (cherry picked from commit f75dffbbd1b992d704196890065dd0c9af0b6098)

    https://bugzilla.redhat.com/show_bug.cgi?id=1693743

 app/controllers/mixins/menu_update_mixin.rb | 11 +
 spec/controllers/mixins/menu_update_mixin_spec.rb | 21 +
 2 files changed, 32 insertions(+)

Comment 7 CFME Bot 2019-04-04 22:23:40 UTC
New commits detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/f295e552246d656a3b4e1020c0356ab58fd583db
commit f295e552246d656a3b4e1020c0356ab58fd583db
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Mon Jan  7 12:31:51 2019 -0500
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Mon Jan  7 12:31:51 2019 -0500

    Merge pull request #839 from mturley/prevent-settings-destroy

    [#802] Prevent Settings form from being destroyed on unmount

    (cherry picked from commit 4aad87810b1881ca53821bcc0e5812d6bf0d6848)

    https://bugzilla.redhat.com/show_bug.cgi?id=1693743

 app/javascript/react/screens/App/Settings/index.js | 3 +-
 1 file changed, 2 insertions(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq-v2v/commit/fff0084d4db70a595d9e3df4e1f6c1637c36b1e8
commit fff0084d4db70a595d9e3df4e1f6c1637c36b1e8
Author:     Mike Turley <mike.turley@alum.cs.umass.edu>
AuthorDate: Mon Jan  7 13:40:46 2019 -0500
Commit:     Mike Turley <mike.turley@alum.cs.umass.edu>
CommitDate: Mon Jan  7 13:40:46 2019 -0500

    Merge pull request #822 from mzazrivec/phase_2_of_vertical_menu_fixes

    Phase 2 of vertical menu fixes

    (cherry picked from commit 40a7a5f41a049b0bdef3e60a12d5f691810f193f)

    https://bugzilla.redhat.com/show_bug.cgi?id=1693743

 app/controllers/migration_controller.rb | 11 +-
 app/javascript/common/menu.js | 25 +
 app/javascript/react/config/Routes.js | 11 +-
 app/javascript/react/config/config.js | 24 +-
 app/javascript/react/index.js | 18 +-
 app/javascript/react/screens/App/Mappings/Mappings.js | 2 +-
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardResultsStep/MappingWizardResultsStep.js | 2 +-
 app/javascript/react/screens/App/Overview/Overview.js | 4 +-
 app/javascript/react/screens/App/Overview/components/Migrations/InProgressWithDetailCard.js | 2 +-
 app/javascript/react/screens/App/Overview/components/Migrations/MigrationsCompletedList.js | 4 +-
 app/javascript/react/screens/App/Overview/components/Migrations/MigrationsNotStartedList.js | 4 +-
 app/javascript/react/screens/App/Overview/components/Migrations/__test__/MigrationsNotStartedList.test.js | 2 +-
 app/javascript/react/screens/App/Plan/Plan.js | 3 +-
 app/javascript/react/screens/App/Settings/Settings.js | 2 +-
 app/javascript/react/screens/App/Settings/__tests__/__snapshots__/Settings.test.js.snap | 2 +-
 app/javascript/react/screens/App/common/NotificationList/NotificationList.js | 3 +-
 app/javascript/redux/actions/routerActions.js | 9 +-
 config/routes.rb | 9 +-
 lib/manageiq/v2v/engine.rb | 6 +-
 19 files changed, 97 insertions(+), 46 deletions(-)

Comment 8 Yadnyawalk Tale 2019-04-10 18:18:06 UTC
Checked routing with browsing history
Checked correct vertical menu item is getting highlighted
Checked if Compute ➛ Migrate takes you to previously visited url

Verified on: 5.10.3.1.20190408182335_d0fa1a0


Note You need to log in before you can comment on or make changes to this bug.